﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head><title>Organizations Maintenance</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Organizations Maintenance</h1>
        <h2 id="OrganisationsMaintenance-ManagingOrganizationOwnership">Managing Organization Ownership</h2>
        <h3 id="OrganisationsMaintenance-Overview">Overview </h3>
        <p>To maintain the changes related to the Organization Attributes, you must assign a user as an ‘Organization Owner’. User added as an organization owner can view, add, and modify parameters in the organization. Upon adding the new user as an Organization owner, a new version of Organization is created and needs to be sent for approval. Once approved, the newly added user can log in and manage the respective organization. </p>
        <p>You can add a new Organization Owner by navigating to <strong>Organization Owner tab &gt; Actions &gt; Add Organization Owner</strong>. Select a user and assign a rank between 1 - 10. EICallows you to assign ‘multiple ranks’ for the same user, but cannot assign same rank to the same user. For example, if there is an existing organization owner ‘jsmith’ with ‘rank 1’, you cannot add the owner ‘jsmith’ again and assign the same rank, which is ‘rank 1’. However, if you are deleting an owner with a particular rank, details of that particular record alone is deleted and does not impact any other records of that owner. Once the changes to the ranking are done, it is visible in the Versions page along with the history of changes done for the ranks.</p>
        <p>
            <img src="../../Resources/Images/History of changes for Ranks.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
        </p>
        <p>Figure: History of changes for Ranks        </p>
        <h2 id="OrganisationsMaintenance-OrganizationAccessMaintenanceusingPolicy">Organization Access Maintenance using Policy</h2>
        <p>From Release v6.0SP1 onwards, access to the Organization is possible to a fine-grained level. By using the existing policy available in the <strong>Organization Owner</strong> tab, you can assign the desired policy to the organization owner. The organization privileges assigned as part of the respective Policy are mentioned below.</p>
        <ul>
            <li>
                <p><strong>Superadmin</strong>: Superadmin is the delegated admin with Read, Update, Delete organization privileges + Bulk Upload of Organization + ability to manage the security of the org (add/remove users as admin/bulkadmin/readonly)</p>
            </li>
            <li>
                <p><strong>admin</strong>: The admin is the delegated admin with Read, Update, Delete organization privileges. </p>
            </li>
            <li>
                <p><strong>bulk admin</strong>: The bulk admin is the delegated admin with Read, Update, Delete organization privileges + Bulk Upload of Organization privileges assigned. </p>
            </li>
            <li>
                <p><strong>readonly</strong>: The readonly assigns the user ‘readonly’ permissions to view all the tabs of the organization.    </p>
            </li>
        </ul>
        <p>To assign a policy to a user, perform the following steps:</p>
        <ol>
            <li>
                <p>Click <strong>Admin &gt; Identity Repository &gt; Organization</strong>.<br />The list of organizations are displayed.</p>
            </li>
            <li>
                <p>Click the organization for which you want to assign the Organization Policy.<br />The Organization details page is displayed.</p>
            </li>
            <li>
                <p>Click the <strong>Organization Owner </strong>tab.</p>
            </li>
            <li>
                <p>Select the desired Policy (Superadmin, admin, bulk admin, and readonly) from the drop-down list that you want to assign to the respective Organization Owner.</p>
            </li>
            <li>
                <p>Navigate to the Organization Detail page again and click <strong>Update</strong>. <br />The Organization will go through an approval process, if configured and once approved the policy will be enforced on the organization owner.</p>
            </li>
        </ol>
        <p>When the respective Organization Owner logs on to EIC and goes to the respective Organization, only those actions can be performed based on the policy assigned to the Organization Owner. </p>
        <h3 id="OrganisationsMaintenance-TransferringOrganizationOwnership">Transferring Organization Ownership</h3>
        <p>Organization ownership is a key attribute as the organization owner governs the changes to the Organization details. If a user who happens to be the Organization Owner is disabled using ‘<strong>One Click Disable</strong>’ from ARS, then the organization ownership needs an immediate successor to be replaced. To manage the dynamic changes in the Organization Ownership based on User lifecycle changes, a new parameter ‘<strong>Replace Owner in Organization </strong>Owner’ is introduced in the <strong>User Update Rule &gt; Transfer Ownership</strong>. When a user is disabled using ‘One Click Disable’ option and the condition specified in the <strong>User Update Rule </strong>is met, the <b>Action Transfer Ownership &gt; Replace Owner</b> in Organization is triggered. You also have an option to select an email template to inform the new owner about the changes in the Organization Ownership.</p>
        <p>The successor for the disabled user can be checked in the ‘<strong>Owner on Terminate</strong>’ parameter of the User Details page. From Release v6.0SP1 onwards, the following options are available to select the owner on terminate from the <strong>User Details </strong>page:</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If you do not select any successor in ‘Owner on Terminate’ parameter field, then the Organization Ownership will continue to remain with the disabled user.</p>
        </div>
        <ul>
            <li>
                <p><strong>User</strong>: Select the 'User' parameter to select a specific user to whom you want to assign the Ownership upon the termination of the respective user. </p>
            </li>
            <li>
                <p><strong>Manager: </strong>Select the ‘Manager’ parameter if you want to assign the Ownership to ‘<strong>Manager</strong>’ selected in the User Details page.  </p>
            </li>
            <li>
                <p><strong>Secondary Manager</strong>: Select the ‘Secondary Manager’ parameter if you want to assign the Ownership to the user’s ‘<strong>Secondary Manager</strong>’ selected in the User Details page. </p>
            </li>
            <li>
                <p><strong>Vendor Manager</strong>: Select the ‘Vendor Manager’ parameter if you want to assign the Ownership to the user selected in the ‘<strong>Organization Owner</strong>’ parameter in the User Details page. </p>
            </li>
        </ul>
        <p>For example, select the Organization Owner for an Organization ‘Organization_Contract_NA’ as ‘userjsmith’ and disable ‘userjsmith’ using the ‘One-click Disable' option. In the user details page of ‘userjsmith’, select ‘usersconnor’ as Manager, and ‘Owner on Terminate' parameter as ‘Manager’. In the user update rule, define the Trigger action ‘Trigger when user is removed from UI (One click Disable)’ by setting the condition for user’s statuskey to ‘0'. Select the action ‘<strong>Transfer Ownership’ &gt; 'Replace Owner in Organization</strong>’ along with the email template. </p>
        <p>When the user ‘userjsmith’ is disabled via ‘One click disable’, the user update rule is triggered. As a result, the action ‘Transfer Ownership’ &gt; ‘Replace Owner in Organization’ is triggered. The user details page of user ‘userjsmith’ is checked and the ownership of the Organization ‘Organization_Contract_NA’ is changed from 'userjsmith’ to the user’s manager, which is ‘usersconnor’.</p>
        <h2 id="OrganisationsMaintenance-ProvisioningOrganizationstoAD">Provisioning Organizations to AD</h2>
        <p>The Organization Update Rule and the WSRETRY job are used to provision the create organization and update organization tasks from EIC to AD. For example, create an Organization with the name 'Junk’, trigger action ‘<strong>Create Organization Task</strong>’ ,and then select the endpoint as <strong>AD</strong>. Upon creating the organization ‘Junk', a pending task 'Create Organization’ is created for which you need to run the WSRETRY job. Once the job is run, the task is provisioned to AD and completed. The newly created task can be seen in the AD application.</p>
        <p>You can also provision newly created/updated Organizations, to different OUs or organizations based on the value given in custom property. </p>
        <p>Sample Create Org JSON:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">CreateOrgJson : {
"name": "${customer.customername}",
"objectClass": ["top","organizationalUnit"],
"objectCategory":"CN=Organization,CN=Schema,CN=Configuration,DC=saviyntdev,DC=org",
"ou": "${customer.customername}",
"description": "${customer.description}"
}</MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>Sample Update Org JSON:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">UpdateOrgJson: {
"OU":"${customer.customername}",
"description": "${customer.description}",
}</MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h4 id="OrganisationsMaintenance-Prerequisites">Prerequisites</h4>
        <p>Ensure that the following prerequisites are met to provision ‘Create Organization’ and ‘Update Organization’ to AD:</p>
        <ul>
            <li>
                <p>Create an AD connection with the JSON specified for ‘CREATEORGJSON’ and ‘UPDATEORGJSON’ as mentioned below: <br />CREATEORGJSON Sample:</p>
                <MadCap:codeSnippet>
                    <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                    <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
                    <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">{
 "name": "${customer.customername}",
 "objectClass": [
   "top",
   "organization"
 ],
 "objectCategory": "CN=Organization,CN=Schema,CN=Configuration,DC=saviyntdev,DC=org",
 "o": "${customer.customername}",
 "description": "${customer.description}",
 "attributes": [
   {
     "name": "locality",
     "filter": [
       "(L=*)"
     ],
"mapping":"street,postalAddress",
"RECONCILATION_FIELD":"objectGUID"
   }
 ]
}</MadCap:codeSnippetBody>
                </MadCap:codeSnippet>
            </li>
        </ul>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">Only those Organization attributes whose ‘attributegroupname' is mentioned in the 'createOrgJson’ connection parameter in the AD Connection page can be provisioned to AD. If you are trying to provision an attribute that is not defined in the ‘attributegroupname' parameter of the 'createOrgJson’, then it would not get provisioned. </p>
        </div>
        <p>UPDATEORGJSON Sample:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">{
 "o": "${customer.customername}",
 "description": "${customer.description}",
 "attributes": [
   {
     "name": "locality",
     "filter": [
       "(L=*)"
     ],
"mapping":"street,postalAddress",
"RECONCILATION_FIELD":"objectGUID"
   }
 ]
}</MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <ul>
            <li>
                <p>Define an Organization Update Rule by selecting the trigger from where the organization is being created. In Conditions, you can specify as ‘<strong>Create Organization</strong>’ or ‘<strong>Update Organization</strong>’. Attribute as ‘Organization Name’, Condition as ‘Starts With’, and Value as ‘Junk’.<br /></p>
                <p>
                    <img src="../../Resources/Images/Organization Update Rule.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                </p>
                <p>Figure: Organization Update Rule</p>
            </li>
            <li>
                <p>In the Organization Update Rule, add an action ‘Notify as an email’to send email notification to organization owners where the ‘Create Organization’ or ‘Update Organization’ task is provisioned to AD.  </p>
            </li>
            <li>
                <p>Ensure that a task completion email template is configured with respective variables to be sent to the Organization owner when data is provisioned to AD. In ARS Configuration, select the org email template from the Task Completion Email Template drop-down. Based on the variables configured in the task completion email, it will display the details in the email to the Organization owner such as task type, organization name, and so on.<br /></p>
                <p>
                    <img src="../../Resources/Images/Task Completion Email Template.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                </p>
                <p>Figure: Task Completion Email Template</p>
            </li>
        </ul>
        <h4 id="OrganisationsMaintenance-Procedure">Procedure</h4>
        <p>To provision Organization attributes to AD, perform the following steps:</p>
        <ol>
            <li>
                <p>Create or update an Organization in EIC according to the defined organization update rule. <br />A request is created in EIC with the Request number.</p>
            </li>
        </ol>
        <p>   2. Complete the request in EIC. A pending task will be created in EIC.</p>
        <p>   3. Specify the business justification and approve the request.<br /></p>
        <p>
            <img src="../../Resources/Images/Approve the Pending request.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
        </p>
        <p>Figure: Approve the Pending request </p>
        <ol>
            <li>
                <p>For this use-case, an organization is created with the name ‘Junk66’ in EIC.<br /></p>
                <p>
                    <img src="../../Resources/Images/Organization created.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 200px;" />
                </p>
                <p>Figure: Organization created in EIC</p>
            </li>
            <li>
                <p>Run the provisioning job WSRETRY to provision the ‘Create Organization’ or ‘Update Organization’ task to AD.<br /></p>
                <p>
                    <img src="../../Resources/Images/Provisioning Task-Create Organization.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
                </p>
                <p>Figure: Provisioning Task ‘Create Organization’</p>
            </li>
        </ol>
        <p>A new organization with the specified name ‘Junk66’ is created in AD as shown in the following figure. </p>
        <p>
            <img src="../../Resources/Images/Provisioned Organization in AD.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
        </p>
        <p>Figure: Provisioned Organization in AD</p>
        <h2 id="OrganisationsMaintenance-ImplementingUploadOrganizationAccessControlusingSAVRole">Implementing Upload Organization Access Control using SAV Role</h2>
        <p>From Release v6.0SP1 onwards, you can also upload the organization using <strong>ARS &gt; Manage Organization &gt; Upload Organization</strong>. Upload can be performed either full or incremental. Based on the user personas, you can assign the privilege of uploading organization to specific SAV_Roles. The users who are assigned the SAV Role will be able to view the ‘Upload Organization’ option in <strong>ARS &gt; Manage Organization</strong> Tile when the access is provided. In addition, to provide ‘Create Organization’ and ‘Update Organization’ privileges, you can now control and assign ‘Upload Organization’ privilege for respective SAV_ROLE, by clicking on the SAV_ROLE name and using the <strong>Create Request Home Option</strong><strong>tab &gt; Select Manage Organization</strong> Options. As shown in the following figure, to provide the respective organization privilege, select the option as ‘Upload Organization’, ‘Create Organization’, and ‘Update Organization’ as shown in the following figure. </p>
        <p>
            <img src="../../Resources/Images/Assigning Upload Organization privilege via SAV Role.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
        </p>
        <p>Figure: Assigning Upload Organization privilege via SAV Role </p>
        <p>Based on the access available in the SAV_ROLE, the user for whom the SAV_Role is assigned will only be able to perform the upload, create, or update organization actions as shown in the following figure.</p>
        <p>
            <img src="../../Resources/Images/Upload Organization.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
        </p>
        <p>Figure: Upload Organization</p>
        <h2 id="OrganisationsMaintenance-APIEnhancementsrelatedtoOrganization">API Enhancements related to Organization</h2>
        <p>The REST APIs used for performing organization maintenance are: createOrganization, createOrganizationRequest, updateOrganization, updateOrganizationRequest, and getOrganization. If you want to approve the created or updated Organization using an API, you need to use createOrganizationRequest for creating an organization and updateOrganizationRequest for updating an organization. The APIs createOrganization and updateOrganization do not invoke an approval workflow and directly create or update organization respectively.</p>
        <p>The following are the API enhancements performed as part of Organization object:</p>
        <ul>
            <li>
                <p>Objects exposed in Organization related APIs: While creating or updating an organization, you can also add, update, or delete objects related to the organization such as Attributes, Roles, Endpoints, Entitlements, and Organization Owners. For example, you can add, update, or delete a ‘location’ attribute using the Attribute parameter in the createOrganization, createOrganizationRequest, updateOrganization, updateOrganizationRequest, and getOrganization REST APIs. <br /><br /><strong>Sample of createOrganization API</strong>:</p>
                <MadCap:codeSnippet>
                    <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                    <MadCap:codeSnippetCaption>API</MadCap:codeSnippetCaption>
                    <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">request 1:
{
    "organizationname": "Orgauto2391",
    "username": "gbana5",
    "description": "desc",
    "primarycontact": "awsadmin",
    "comments": "comment",
    "customproperty5": "cp5",
    "customproperty10": "cp10",
    "organizationtype": "request rules",
    "parentorganization": "Synapse_PricingData",
    "startdate": "09-21-2020",
    "enddate": "09-30-2020",
    "endpoints": [
        {
            "endpointname": "MTS Trade CM",
            "cp1": "cp1",
            "cp2": "cp2",
            "cp3": "cp3",
            "cp4": "cp4",
            "cp5": "cp5"
        },
        {
            "endpointname": "AD1"
        }
    ],
    "roles": [
        {
            "rolename": "Fire Fighter"
        },
        {
            "rolename": "Mortgage Manager"
        }
    ],
    "rules": [
        {
            "name": "SD-2864",
            "type": "REQUEST"
        }
    ],
    "entitlements": [
        {
            "entitlementvalue": "ROLE_CENTRAL_EAM_ADMIN",
            "entitlementtype": "Role1",
            "endpoint": "AD1"
        },
        {
            "entitlementvalue": "ROLE_ANALYTICS_VIEWER",
            "entitlementtype": "Role2",
            "endpoint": "AD1"
        }
    ],
    "users": [
        {
            "username": "gbana3"
        },
        {
            "username": "usnvaj"
        }
    ],
    "owners": [
        {
            "owner": "admin",
            "rank": 2
        },
        {
            "owner": "awsadmin",
            "rank": 2
        }
    ],
    "attributes": [
        {
            "groupname": "Location",
            "attributes": "street,pincode",
            "value": "group val",
            "attributevalues": {
                "street": "treee",
                "pincode": "123456"
            }
        }
    ]
}
response 1:
{
    "msg": "Success",
    "errorCode": "0"
}</MadCap:codeSnippetBody>
                </MadCap:codeSnippet>
            </li>
            <li>
                <p>Provision to delete ‘Primary Organization Contact and Parent Organization’ using updateOrganization API: Using the updateOrganization or updateOrganizationRequest API you can delete the ‘Primary Organization Contact and Parent Organization’ for respective child organizations. To delete the ‘Primary Organization Contact and Parent Organization’, you can avoid specifying the value and keep it blank for ‘Primary Organization Contact and Parent Organization’. Keeping it blank without any value deletes the ‘Primary Organization Contact and Parent Organization’ for the respective child organization. <br /><strong>Sample of updateOrganization API:</strong><br /></p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">If primarycontact and parentorganization are passed as ‘blank’ in the updateOrganization API then the existing values for primarycontact and parentorganization are overwritten with ‘null’ in the UI.   <br /></p>
                </div>
                <p>&#160;</p>
                <MadCap:codeSnippet>
                    <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                    <MadCap:codeSnippetCaption>API</MadCap:codeSnippetCaption>
                    <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">request 1:
{
    "organizationname": "Orgauto2391",
    "updatedorgname": "testOrg1695",
    "username": "gbana5",
    "description": "desc",
    "primarycontact": "",
    "comments": "comment",
    "customproperty5": "cp5",
    "customproperty10": "cp10",
    "organizationtype": "request rules",
    "parentorganization": "",
    "startdate": "09-21-2020",
    "enddate": "09-30-2020",
    "endpoints": [
        {
            "endpointname": "MTS Trade CM",
            "cp1": "cp11",
            "cp2": "cp21",
            "cp3": "cp31",
            "cp4": "cp41",
            "cp5": "cp51",
            "updatetype": "add"
        },
        {
            "endpointname": "SAM",
            "cp1": "cp11",
            "cp2": "cp21",
            "cp3": "cp31",
            "cp4": "cp41",
            "cp5": "cp51",
            "updatetype": "add"
        }
    ],
    "roles": [
        {
            "rolename": "Fire Fighter",
            "updatetype": "add"
        },
        {
            "rolename": "Mortgage Manager",
            "updatetype": "add"
        }
    ],
    "rules": [
        {
            "name": "SD-2864",
            "type": "REQUEST",
            "updatetype": "add"
        }
    ],
    "entitlements": [
        {
            "entitlementvalue": "ROLE_CENTRAL_EAM_ADMIN",
            "entitlementtype": "SAM Role",
            "endpoint": "SAM",
            "updatetype": "add"
        },
        {
            "entitlementvalue": "ROLE_ANALYTICS_VIEWER",
            "entitlementtype": "SAM Role",
            "endpoint": "SAM",
            "updatetype": "add"
        }
    ],
    "users": [
        {
            "username": "gbana3",
            "updatetype": "add"
        },
        {
            "username": "usnvaj",
            "updatetype": "add"
        }
    ],
    "owners": [
        {
            "owner": "admin",
            "rank": 2,
            "updatetype": "add"
        },
        {
            "owner": "awsadmin",
            "rank": 2,
            "updatetype": "add"
        }
    ],
    "attributes": [
        {
            "groupname": "dfdf",
            "attributes": "street,pincode",
            "value": "group val 345",
            "attributevalues": {
                "street": "treee",
                "pincode": "123456"
            },
            "updatetype": "updategroup"
        }
    ]
}

response 1:
{
    "msg": "organization with name testOrg1695 already exists",
    "errorCode": "1"
}</MadCap:codeSnippetBody>
                </MadCap:codeSnippet>
                <p>&#160;</p>
            </li>
            <li>
                <p>Support for new optional parameter ‘orgQuery’ in getOrganization API: To fetch list of organizations by specifying SELECT, DELETE, WHERE, UPDATE and other keywords you can now use the ‘orgQuery’ in the getOrganization API.<br />Sample ‘getOrganization’ API:</p>
                <MadCap:codeSnippet>
                    <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                    <MadCap:codeSnippetCaption>API</MadCap:codeSnippetCaption>
                    <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">request 1:
{
       "orgQuery" : "c.organizationname like '%ORG_NY%'",
       
    "filterCriteria": {
        "organizationname": "Orgauto2391"    },
    "max" : "50"}
</MadCap:codeSnippetBody>
                </MadCap:codeSnippet>
            </li>
        </ul>
        <h2 id="OrganisationsMaintenance-SignificanceofDisplayNamewhileupdatingOrganization">Significance of Display Name while updating Organization</h2>
        <p>If your Organization Name has changed and you want to float these changes across related Organization objects, then you need to update the Display Name of the Organization. Instead of changing the Organization Name, you must change the Display Name of the Organization that will be reflected across EIC application in related organization objects. You can update Display Name using UI/API/Import options.</p>
        <h2 id="OrganisationsMaintenance-OrganizationAttributesexposedinWorkflow">Organization Attributes exposed in Workflow</h2>
        <p>The ‘Create Organization’ and ‘Update Organization’ actions are sent to approver based on the workflow configured. From Release v6.0SP1 onwards, you can add the organization objects in the ‘if-else’ block and in the ‘Custom Query’ block of workflow. The organization objects that can be used in the ‘if-else’ block and in the ‘Custom Query’ of the workflow are:</p>
        <ul>
            <li>
                <p>organization -&gt; ${organization}</p>
            </li>
            <li>
                <p>organizationHistory -&gt; ${organizationHistory}</p>
            </li>
            <li>
                <p>primaryOrganizationContact -&gt; ${primaryOrganizationContact}</p>
            </li>
            <li>
                <p>organizationName -&gt; ${organizationName} -&gt; name of org</p>
            </li>
            <li>
                <p>organizationOwner -&gt; ${organizationOwner} returns list of orgOwners</p>
            </li>
            <li>
                <p>organizationHistoryChangelog -&gt; ${organizationHistoryChangelog} returns the complete history change log for a particular history</p>
            </li>
            <li>
                <p>organization name -&gt; ${organization.customername}</p>
            </li>
            <li>
                <p>organization owner rank -&gt; ${organization.ownerRank1}</p>
            </li>
            <li>
                <p>organization history version key -&gt;${organizationHistory.versionkey}</p>
            </li>
            <li>
                <p>organization’s contact username -&gt;${primaryOrganizationContact.username}</p>
            </li>
        </ul>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">From Release v6.0SP1 onwards, the organization owner is included in the ‘Access Approval’ workflow block. Upon selecting the ‘Type of Approval’ as ‘All Owner Approval Required’ or ‘Any Owner Approval Required’, the request is now sent to the organization owners too.</p>
        </div>
        <p>Sample of ‘if-else’ block</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">organization ne null and
organization.customername eq 'vamtest2' and
(organization.ownerRank1 != null ) and
organizationHistory.versionkey &gt; 0 and
primaryOrganizationContact ne null and
primaryOrganizationContact.username eq 'ssarkar' and
organizationOwner.size() &gt; 0</MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>Sample of ‘CustomQuery’</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select userkey from users where userkey=(
select userkey from organization_owners where userkey=${primaryOrganizationContact.id}
and customerkey=${organization.id}
)</MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <h2 id="OrganisationsMaintenance-TaskExecutionHierarchy">Task Execution Hierarchy</h2>
        <p>Using the <strong>Tasks Execution Hierarchy</strong>,you can configure the order in which you want to process the provisioning tasks for the <strong>Create Organization</strong>’ and ‘<strong>Update Organization</strong>’ actions. These can be setup using <strong>Global Configuration &gt; Tasks &gt; Task Execution Hierarchy </strong>(for v5.5 and above) or using <strong>Global Configuration &gt; ARS Global Configurations &gt; Task Execution Hierarchy </strong>(for versions prior to v5.5). When you set up the order in Task Execution Hierarchy and run the WSRETRY job, it processes the tasks in the order in which it is configured.</p>
        <p><strong>Procedure</strong>
        </p>
        <p>To set up the Task Execution Hierarchy along with a use case, perform the following steps:</p>
        <ol>
            <li>
                <p>Using the <strong>Task Execution Hierarchy </strong>option, setup the order as ‘Update Organization and provision it first followed by 'Create Organization’ as shown in the following figure.<br /></p>
                <p>
                    <img src="../../Resources/Images/Configuring the Task Execution Hierarchy.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                </p>
                <p>Figure: Configuring the Task Execution Hierarchy for Create and Update Organization</p>
            </li>
            <li>
                <p>Edit the WSRETRY job and add the <strong>Task Types</strong>  (‘Create organization’ and ‘Update Organization’) that you want to complete and provision.<br /></p>
                <p>
                    <img src="../../Resources/Images/WSRETRY Trigger.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
                </p>
                <p>Figure: WSRETRY Trigger - Task selection</p>
            </li>
            <li>
                <p>Run the WSRETRY Job to complete and provision the tasks.<br /></p>
                <p>
                    <img src="../../Resources/Images/Running the WSRETRY.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 696px;height: 99px;" />
                </p>
                <p>Figure: Running the WSRETRY Job</p>
            </li>
            <li>
                <p>Using the <strong>Completed Tasks </strong>option, check the date and time by when the tasks are completed . <br />The ‘Update Organization’ task is provisioned before the ‘Create Organization’ task because in the Task Execution Hierarchy, the ‘Update Organization’ task was in higher order than the ‘Create Organization’ task.<br /></p>
                <p>
                    <img src="../../Resources/Images/Verifying the order.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                </p>
                <p>Figure: Verifying the order of Completed Tasks</p>
            </li>
        </ol>
        <h2 id="OrganisationsMaintenance-VerifyingUsersImpactedforModifiedOrganization">Verifying Users Impacted for Modified Organization</h2>
        <p>The organization modification request undergoes an approval process based on the workflow configured. Before approving an organization modification request, It is important for the approver to check the impacted users who are part of the respective organization. If the impacted users are critical in an organization modification request, the approver can take the necessary steps on users by gauging the organization modification request. While approving the request, you can view the users who are part of the modify organization request using the <strong>Users Impacted</strong> tab. The figure below illustrates the same. </p>
        <p>
            <img src="../../Resources/Images/Users Impacted.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
        </p>
        <p>Figure: Users Impacted check while Approving Organization Modification request</p>
    </body>
</html>